from setuptools import setup, find_packages

setup(
    name="RedXAuthCodes",
    version="1.0.1",
    packages=find_packages(),
    install_requires=[
        "psycopg2-binary>=2.9.10",
        "sendgrid>=6.11.0",
        "fastapi>=0.115.7",
        "pydantic>=2.10.5",
        "python-jose[cryptography]>=3.3.0",
        "email-validator>=2.0.0",
        "cryptography>=44.0.0",
        "aiofiles>=24.1.0",
        "flask-login>=0.6.3",
        "flask-wtf>=1.2.2",
        "jinja2>=3.1.5",
        "passlib[bcrypt]>=1.7.4",
        "python-multipart>=0.0.20",
        "uvicorn[standard]>=0.34.0"
    ],
    extras_require={
        'redx': ["redxsecurepayments>=1.1.1"]
    },
    author="RedX Development",
    author_email="contact@redxdev.com",
    description="A secure authentication code generation and verification API with email integration and subscription management",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/redxdev/redxauthcodes",
    project_urls={
        "Bug Tracker": "https://github.com/redxdev/redxauthcodes/issues",
        "Documentation": "https://github.com/redxdev/redxauthcodes/blob/main/README.md",
        "Source Code": "https://github.com/redxdev/redxauthcodes",
    },
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Topic :: Security",
        "Topic :: Software Development :: Libraries :: Python Modules"
    ],
    python_requires=">=3.9",
    keywords="authentication verification email subscription security"
)
